#!/usr/bin/perl -w

=head1 NAME

Mp3/LCD Client

=head1 SYNOPSIS

mp3_client.pl

=head1 DESCRIPTION

This program is a simple script to connect to the Mp3/LCD Server and select songs etc.
All it does is feed characters to a FIFO (and change '^M's to '^'s)

=head1 OPTIONS

none as yet

=head1 CONFIGURATION

Changing the fifo is about all you can do

=head1 REQUIRES

Perl 5.004 or later and Term::ReadKey

=head1 AUTHOR

Chris Debenham <chris@adebenham.com>

=head1 COPYRIGHT

This program is released under the GPL (http://www.gnu.org/copyleft/gpl.html)

=head1 VERSION

Mp3/LCD Client Version 1.0

=cut


use strict;
use Term::ReadKey;

print "MP3LCD client: keypresses will be passed to mp3lcd\n";
ReadMode 4;
my $k=ReadKey(0);
while ($k ne "") {
	if ($k eq "\n") { $k="^";}
	open (FIFO,">/tmp/.mp3lcd.fifo");
	print FIFO $k."\n";
	close FIFO;
	$k=ReadKey(0);
}
ReadMode 0;
